## flent 1.0.1

=== Makefile ===
PYTHON:=python
PREFIX:=/usr

all: build

build: flent/*.py
	$(PYTHON) setup.py build

.PHONY: test
test:
	$(PYTHON) setup.py test

.PHONY: test_long
test_long:
	$(PYTHON) setup.py test -s unittests.all_tests


.PHONY: install
install:
	$(PYTHON) setup.py install
	install -m 0755 -D -d $(PREFIX)/share/doc/flent/misc
	install -m 0644 -D -t $(PREFIX)/share/doc/flent BUGS README.rst *.example
	install -m 0644 -D -t $(PREFIX)/share/doc/flent/misc misc/*
	install -m 0644 -t $(PREFIX)/share/man/man1 man/flent.1
	install -m 0644 -t $(PREFIX)/share/mime/packages flent-mime.xml
	install -m 0644 -t $(PREFIX)/share/applications flent.desktop

.PHONY: doc
doc:
	$(MAKE) -C doc/ html

.PHONY: man
man:
	$(MAKE) -C doc/ man
	cp doc/_build/man/flent.1 man/

=== debian/changelog ===
flent (1.0.1-2) unstable; urgency=medium

  * Add backported patch to fix loading of RC values

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Mon, 16 Jan 2017 16:34:23 +0100

flent (1.0.1-1) unstable; urgency=medium

  * Upstream release v1.0.1
  * Add back missing debian/source/format

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Mon, 16 Jan 2017 01:12:01 +0100

flent (1.0.0-1) unstable; urgency=medium

  * Upstream release v1.0.0
  * Change Recommends to PyQt5

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Sat, 14 Jan 2017 18:24:00 +0100

flent (0.15.0-3) unstable; urgency=medium

  * Add fping | ping to Recommends (Closes:  #843879)

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Fri, 11 Nov 2016 13:52:15 +0100

flent (0.15.0-2) unstable; urgency=medium

  * Demote netperf to Suggests (Closes: #840182)

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Sun, 09 Oct 2016 13:37:00 +0200

flent (0.15.0-1) unstable; urgency=medium

  * Initial release. (Closes: #831578).

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Mon, 03 Oct 2016 00:51:22 +0200

=== debian/control ===
Source: flent
Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
Uploaders: Toke Høiland-Jørgensen <toke@toke.dk>
Section: net
Priority: optional
Build-Depends: dh-python,
               debhelper (>= 9),
               python3,
               python3-setuptools,
               python3-sphinx,
               python3-mock,
               python3-matplotlib,
               procps
Standards-Version: 3.9.8
Homepage: https://flent.org
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/flent.git
Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/flent.git

Package: flent
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python3-matplotlib, python3-pyqt5, fping | ping
Suggests: netperf (>= 2.6.0)
Description: FLExible Network Tester for bufferbloat testing and more
 The FLExible Network Tester: Python wrapper to run multiple simultaneous
 netperf/iperf/ping instances and aggregate the results.
 .
 Tests are specified as config files (which are really Python), and
 various parsers for tool output are supplied. At the moment, parsers for
 netperf in -D mode, iperf in csv mode and ping/ping6 in -D mode are
 supplied, as well as a generic parser for commands that just outputs a
 single number.
 .
 Several commands can be run in parallel and, provided they output
 timestamped values, (which netperf ping and iperf do, the latter with a
 small patch, available in the misc/ directory), the test data points can
 be aligned with each other in time, interpolating differences between
 the actual measurement points. This makes it possible to graph (e.g.)
 ping times before, during and after a link is loaded.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONDONTWRITEBYTECODE=1

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_install:
	sed -i.bak -e 's/flent =/run =/' -e 's/flent-gui =/run-gui =/' setup.py
	chmod +x flent/scripts/*.sh
	python3 setup.py install --root=debian/flent --install-layout=deb --install-lib=/usr/share/flent --install-scripts=/usr/share/flent

override_dh_auto_build:

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	! [ -f setup.py.bak ] || mv setup.py.bak setup.py

override_dh_auto_test:
	$(MAKE) test PYTHON=python3

override_dh_installdocs:
	$(MAKE) -C doc/ html
	 # web site index - use contents.html instead
	rm -f doc/_build/html/index.html
	dh_installdocs

## flent 1.2.2

=== Makefile ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 .PHONY: test
 test:
-	$(PYTHON) setup.py test
+	$(PYTHON) setup.py test -r unittests:TestRunner
 
 .PHONY: test_long
 test_long:
-	$(PYTHON) setup.py test -s unittests.all_tests
+	$(PYTHON) setup.py test -s unittests.all_tests -r unittests:TestRunner
 
 
 .PHONY: install

=== debian/changelog ===
flent (1.2.2-1) unstable; urgency=medium

  * Upstream release v1.2.2

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Tue, 17 Apr 2018 13:16:02 +0200

flent (1.2.1-1) unstable; urgency=medium

  * Upstream release v1.2.1
  * Fix build with missing builddeps
  * Update VCS URLs

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Wed, 28 Mar 2018 13:04:26 +0200

flent (1.2.0-2) unstable; urgency=medium

  * Update debian/compat to v11
  * Update copyright URL to use https

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Thu, 15 Feb 2018 21:18:35 +0100

flent (1.2.0-1) unstable; urgency=medium

  * Upstream release v1.2.0
  * Add irtt package to Recommends

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Tue, 06 Feb 2018 17:59:48 +0100

flent (1.1.1-1) unstable; urgency=medium

  * Upstream release v1.1.1

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Wed, 15 Nov 2017 16:05:51 +0100

flent (1.1.0-1) unstable; urgency=medium

  * Upstream release v1.1.0

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Thu, 26 Oct 2017 13:13:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Section: net
 Priority: optional
 Build-Depends: dh-python,
-               debhelper (>= 9),
+               debhelper (>= 11),
                python3,
                python3-setuptools,
                python3-sphinx,
                python3-mock,
                python3-matplotlib,
                procps
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://flent.org
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-netmeasure/flent.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-netmeasure/flent.git
+Vcs-Browser: https://salsa.debian.org/ineteng-team/flent
+Vcs-Git: https://salsa.debian.org/ineteng-team/flent.git
 
 Package: flent
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
-Recommends: python3-matplotlib, python3-pyqt5, fping | ping
+Recommends: python3-matplotlib, python3-pyqt5, fping | ping, irtt
 Suggests: netperf (>= 2.6.0)
 Description: FLExible Network Tester for bufferbloat testing and more
  The FLExible Network Tester: Python wrapper to run multiple simultaneous

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 %:
 	dh $@ --with python3,sphinxdoc
+
+clean:
+	dh $@
 
 override_dh_auto_install:
 	sed -i.bak -e 's/flent =/run =/' -e 's/flent-gui =/run-gui =/' setup.py

## flent 1.3.0

=== debian/changelog ===
flent (1.3.0-1) unstable; urgency=medium

  * Upstream release v1.3.0

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Tue, 09 Jul 2019 22:00:34 +0200

## flent 1.3.2

=== debian/changelog ===
flent (1.3.2-2) unstable; urgency=medium

  * Revision bump for new source-only upload

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Wed, 04 Dec 2019 20:57:02 +0000

flent (1.3.2-1) unstable; urgency=medium

  * Upstream release v1.3.2
  * Fix a few lintian errors

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Wed, 27 Nov 2019 09:12:59 +0000

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                python3-mock,
                python3-matplotlib,
                procps
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://flent.org
 Vcs-Browser: https://salsa.debian.org/ineteng-team/flent
 Vcs-Git: https://salsa.debian.org/ineteng-team/flent.git
 
 Package: flent
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
 Recommends: python3-matplotlib, python3-pyqt5, fping | ping, irtt
 Suggests: netperf (>= 2.6.0)
 Description: FLExible Network Tester for bufferbloat testing and more

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,9 @@
 	! [ -f setup.py.bak ] || mv setup.py.bak setup.py
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) test PYTHON=python3
+endif
 
 override_dh_installdocs:
 	$(MAKE) -C doc/ html

## flent 2.0.0

=== debian/changelog ===
flent (2.0.0-3) unstable; urgency=medium

  * debian/control: change 'recommends' from python3-pyqt5 to python3-qtpy
    to reflect upstream dependency change. (Closes: #987656).

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Tue, 27 Apr 2021 18:30:58 +0000

flent (2.0.0-2) unstable; urgency=medium

  * debian/patches/fix-glob.patch: backport upstream fix for plot name globbing

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Thu, 11 Feb 2021 17:59:11 +0000

flent (2.0.0-1) unstable; urgency=medium

  * Upstream release v2.0.0

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Thu, 14 Jan 2021 15:57:19 +0000

## flent 2.0.1

=== debian/changelog ===
flent (2.0.1-1) unstable; urgency=medium

  * Upstream release v2.0.1

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Thu, 24 Jun 2021 21:35:57 +0000

=== debian/watch ===
version=3

https://github.com/tohojo/flent/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## flent 2.1.1

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	install -m 0644 -t $(PREFIX)/share/man/man1 man/flent.1
 	install -m 0644 -t $(PREFIX)/share/mime/packages flent-mime.xml
 	install -m 0644 -t $(PREFIX)/share/applications flent.desktop
+	install -m 0644 -t $(PREFIX)/share/metainfo flent.appdata.xml
 
 .PHONY: doc
 doc:

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/FlentTheFLExibleNetworkTester.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/FlentTheFLExibleNetworkTester.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/FlentTheFLExibleNetworkTester"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/FlentTheFLExibleNetworkTester"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
flent (2.1.1-2) unstable; urgency=medium

  * debian/rules: Clean rule should remove doc/_build dir (Closes: #1044168).

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Tue, 15 Aug 2023 14:39:00 +0200

flent (2.1.1-1) unstable; urgency=medium

  * Upstream release v2.1.1

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Wed, 2 Nov 2022 01:42:57 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: flent
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
-Recommends: python3-matplotlib, python3-pyqt5, fping | ping, irtt
+Recommends: python3-matplotlib, python3-qtpy, fping | ping, irtt
 Suggests: netperf (>= 2.6.0)
 Description: FLExible Network Tester for bufferbloat testing and more
  The FLExible Network Tester: Python wrapper to run multiple simultaneous

## flent 2.2.0

=== Makefile ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 .PHONY: test
 test:
-	$(PYTHON) setup.py test -r unittests:TestRunner
+	$(PYTHON) -m unittest
 
 .PHONY: test_long
 test_long:
-	$(PYTHON) setup.py test -s unittests.all_tests -r unittests:TestRunner
+	TEST_SUITE=all_tests $(PYTHON) -m unittest
 
 
 .PHONY: install

=== debian/changelog ===
flent (2.2.0-2) unstable; urgency=medium

  * debian/control: Move netperf to Recommends now that it's in main
  * debian/control: Update qtpy Recommends to be python3-qtpy-pyqt5 (Closes: #1089971).

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Tue, 7 Jan 2025 13:56:46 +0100

flent (2.2.0-1) unstable; urgency=medium

  * Upstream release v2.2.0 (Closes: #1080274)

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Tue, 10 Sep 2024 17:25:46 +0200

flent (2.1.1-3) unstable; urgency=medium

  * debian/control: Remove Build-Depends on python3-mock (Closes: #1069937).

 -- Toke Høiland-Jørgensen <toke@toke.dk>  Fri, 3 May 2024 17:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                python3,
                python3-setuptools,
                python3-sphinx,
-               python3-mock,
                python3-matplotlib,
                procps
 Standards-Version: 4.4.1
@@ -18,9 +17,9 @@
 
 Package: flent
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
-Recommends: python3-matplotlib, python3-qtpy, fping | ping, irtt
-Suggests: netperf (>= 2.6.0)
+Depends: ${python3:Depends}, ${misc:Depends}, ${sphinxdoc:Depends},
+         fping | ping, irtt, netperf
+Recommends: python3-matplotlib, python3-qtpy-pyqt5
 Description: FLExible Network Tester for bufferbloat testing and more
  The FLExible Network Tester: Python wrapper to run multiple simultaneous
  netperf/iperf/ping instances and aggregate the results.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build
+	rm -rf doc/_build
 	rm -rf *.egg-info
 	! [ -f setup.py.bak ] || mv setup.py.bak setup.py
